Skip to main content
GET
/
v1
/
broadcasts
/
{idOrName}
/
audience
Get broadcast audience
curl --request GET \
  --url https://app.chatbotx.io/api/v1/broadcasts/{idOrName}/audience \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "contactId": "<string>",
      "contact": {
        "id": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "fullName": "<string>",
        "email": "<string>",
        "phoneNumber": "<string>",
        "avatar": "<string>",
        "gender": "<string>"
      },
      "sent": true,
      "delivered": true,
      "seen": true,
      "clicked": true,
      "failed": true
    }
  ],
  "pageCount": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

idOrName
string
required

Query Parameters

page
integer
Required range: 1 <= x <= 9007199254740991
perPage
integer
Required range: 1 <= x <= 9007199254740991

Response

200 - application/json

OK

data
object[]
required
pageCount
number
required